Summary: An Internet Relay Chat (IRC) client.
Name: ircii
Version: 4.4Z
Release: 7_rmk3
Copyright: distributable
Group: Applications/Internet
URL: http://www.eterna.com.au/ircii/
Source0: ftp://ircftp.au.eterna.com.au/pub/ircII/ircii-%{version}.tar.bz2
Source1: ftp://ircftp.au.eterna.com.au/pub/ircII/ircii-current/ircii/doc/Copyright
Source2: http://www.cs.helsinki.fi/u/mjrauhal/linux/cola.archive/1998-06/mjr.1998-06-15.044
Patch0: ircii-4.4-dumbi18n.patch
Patch1: ircii-4.4M-pax.patch
Patch2: ircii-4.4Z-fixnick.patch
Patch3: ircii-4.4Z-fixrejoin.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ircii-help

%description
IrcII is a popular Internet Relay Chat (IRC) client. IRC clients
communicate with IRC servers, enabling users to "chat" via the
Internet.

%prep
%setup -q
# Doesn't seem necessary as of 4.4Z -- PGB
#%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fixnick
%patch3 -p1 -b .fixrejoin
rm doc/Copyright
cp $RPM_SOURCE_DIR/Copyright doc/
cp $RPM_SOURCE_DIR/mjr.1998-06-15.044 doc/Copyright.announcement

%build
#patch1 requires a reautoconf
autoconf
%configure --enable-ipv6
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

ln -sf irc-%{version}-rmk %{buildroot}/usr/bin/irc

touch %{buildroot}/usr/share/irc/ircII.servers
echo "irc-2.mit.edu" >> %{buildroot}/usr/share/irc/ircII.servers
echo "irc-2.escape.com" >> %{buildroot}/usr/share/irc/ircII.servers
echo "irc.texas.net" >> %{buildroot}/usr/share/irc/ircII.servers
echo "irc.eskimo.com" >> %{buildroot}/usr/share/irc/ircII.servers
chmod 644 %{buildroot}/usr/share/irc/ircII.servers

mkdir -p %{buildroot}/etc/X11/applnk/Internet
cat > %{buildroot}/etc/X11/applnk/Internet/ircii.desktop << EOF
[Desktop Entry]
Name=ircII
Comment=Text mode IRC client
Icon=gnome-irc.png
Exec=irc
Terminal=1
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/Copy* doc/ctcp doc/crypto doc/example_menu doc/ircio doc/OLDNEWS
%doc README NEWS
#%config /etc/X11/applnk/Internet/ircii.desktop
%{_bindir}/*
%{_datadir}/irc
%{_mandir}/man1/*

%changelog
* Mon Aug 13 2001 Preston Brown <pbrown@redhat.com>
- don't package an icon for the .desktop file (#51604)

* Sat Jul 21 2001 Tim Powers <timp@redhat.com>
- no applnk file. it's cluttering our menus

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Feb  8 2001 Preston Brown <pbrown@redhat.com>
- don't screw up nick if no nickname is given (#11134)

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 4.4Z

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- don't use pax

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release
- get only non man page stuff in doc/
- install man pages

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- update to 4.4M

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- updated source URL
- migrated to applnk .desktop file
- copied new retroactive Copyright to docs
- added text from new Copyright announcement as posted on c.o.l.a.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for RH 6.0

* Sun Nov 15 1998 Jeff Johnson <jbj@redhat.com>
- permit i18n when run in dumb mode (Alexander Trump <assa@assa.tlt.ru>)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- obsoletes ircii-help (donnie, don't do ever that again!)

* Wed Jun 03 1998 <djb@redhat.com>
- moved help stuff into main package

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 4.4
- changed to use a build root

* Wed Nov  5 1997 Otto Hammersmith <otto@redhat.com>
- moved wmconfig file from ircii-help file list

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- use termios, not termio

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added Erik's patch to fix file closing brokenness.

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated source urls

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

